function [log_like] = log_like_stud(y,param)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% Function that computes the log likelihood of a student distribution
%%%% with parameters param containing : [mu variance df].
%%%% y is the observations.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
T = max(size(y));
if(T~=size(y,1))
    y = y';
end
df = param(3);
variance = param(2);
mu = param(1);
if(variance<0 || df<2)
    log_like = -1e10;
else
    log_like = sum(-(df+1)*0.5*log(1+(y-mu).*(y-mu)./(variance*df)));
    log_like = (log_like + T*(gammaln((df+1)*0.5) - 0.5*log(df*pi) -gammaln(0.5*df)) -0.5*T*log(variance));
end